// TunedPipeView.h : interface of the CTunedPipeView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TUNEDPIPEVIEW_H__F82B6B4D_1B6C_11D4_8A5A_9834256A161E__INCLUDED_)
#define AFX_TUNEDPIPEVIEW_H__F82B6B4D_1B6C_11D4_8A5A_9834256A161E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CTunedPipeView : public CFormView
{
protected: // create from serialization only
	CTunedPipeView();
	DECLARE_DYNCREATE(CTunedPipeView)

public:
	//{{AFX_DATA(CTunedPipeView)
	enum { IDD = IDD_TUNEDPIPE_FORM };
	double	m_ExhaustWidth;
	double	m_ExhaustPeriod;
	double	m_ExhaustHeight;
	double	m_CrankSpeed;
	double	m_TransferPeriod;
	double	m_BMEP;
	double	A0;
	double	Kh;
	double	K0;
	double	K2;
	double	K1;
	double	m_Power;
	double	m_ExhaustTemp;
	double	m_Capacity;
	int		m_ChamberType;
	//}}AFX_DATA

// Attributes
public:
	CTunedPipeDoc* GetDocument();
	enum {ONE_STAGE, TWO_STAGE, THREE_STAGE};
	BOOL m_DataReady;
	CRect m_ScreenRect,m_TextScreen;
	CBitmap m_OneStagePipeFig, m_TwoStagePipeFig, m_ThreeStagePipeFig;
	void DisplayBitmap(CDC *pDC, int X, int Y, CBitmap  *pBitmap);
	void DrawPipe();
	void DisplayData();
	void CalculateOneStage();
	void DisplayDataOneStage();
	void CalculateTwoStage();
	void DisplayDataTwoStage();
	void CalculateThreeStage();
	void DisplayDataThreeStage();
	void CalculateAndDraw();
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTunedPipeView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTunedPipeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTunedPipeView)
	afx_msg void OnCalculate();
	afx_msg void OnReset();
	afx_msg void OnOneStage();
	afx_msg void OnTwoStage();
	afx_msg void OnThreeStage();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TunedPipeView.cpp
inline CTunedPipeDoc* CTunedPipeView::GetDocument()
   { return (CTunedPipeDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TUNEDPIPEVIEW_H__F82B6B4D_1B6C_11D4_8A5A_9834256A161E__INCLUDED_)
